## libcwd 0.99.34

=== documentation/Makefile ===
include doxygen.config
INPUT_FILES=$(shell for i in $(INPUT); do if test -f $$i; then echo $$i; else for j in $(FILE_PATTERNS); do ls $$i/$$j; done; fi done)
EXAMPLE_FILES=$(shell find doxygen-examples -mindepth 1 -maxdepth 1 -type f -print)

.PHONY: reference-manual external styles tutorial

all: reference-manual tutorial

reference-manual: styles external
	rm -rf reference-manual
	doxygen doxygen.config
	mv reference-manual/preparation.html reference-manual/preparation.tmp
	cat reference-manual/preparation.tmp | \
	  sed -e 's/href="debug_8h\.html">debug\.h/href="#preparation_step2">debug.h/' \
	      -e 's/"sys\.h"/"<a class="code" href="#preparation_step2">sys.h<\/a>"/' \
	  > reference-manual/preparation.html
	rm reference-manual/preparation.tmp
	for i in `grep -l '<h2>Modules</h2>' reference-manual/*.html`; do \
	  mv $$i $$i.tmp; \
	  cat $$i.tmp | \
	  sed -e 's%<h2>Modules</h2>%<h2>Related</h2>%' > $$i; \
	  rm $$i.tmp; \
	done

reference-manual-clean:
	rm -rf reference-manual

external: external/INSTALL external/sys.h external/debug.h external/debug.cc external/libcwdrc

external-clean:
	rm -f external/INSTALL external/sys.h external/debug.h external/debug.cc external/libcwdrc

external/INSTALL: ../INSTALL
	cp ../INSTALL external/INSTALL

external/sys.h: ../example-project/sys.h
	cp ../example-project/sys.h external/sys.h

external/debug.h: ../example-project/debug.h
	cp ../example-project/debug.h external/debug.h

external/debug.cc: ../example-project/debug.cc
	cp ../example-project/debug.cc external/debug.cc

external/libcwdrc: ../libcwdrc
	cp ../libcwdrc external/libcwdrc

styles:
	$(MAKE) -C styles

tutorial:
	$(MAKE) -s -C tutorial

maintainer-clean: external-clean reference-manual-clean
	$(MAKE) -C styles maintainer-clean
	cd tutorial; rm -f examples5/debug.* examples5/test* tutorial/core examples7/test* tut5.m4 tut7.m4 *.html

=== documentation/styles/Makefile ===
TEMPLATES=main.css doxygen.css tutorial.css tag-cw.css
BROWSERS=netscape4 netscape6 mozilla konqueror ie
OUTPUT=$(shell for b in $(BROWSERS); do for i in $(TEMPLATES); do echo $$b/$$i; done done)

all: $(OUTPUT)

%/main.css: main.css defines.h
	@MACRO=`echo $@ | sed -e 's%\([^/]*\)/.*%\1%' | tr a-z A-Z`; \
	cat main.css | gcc -D$$MACRO -E -c - | egrep -v '^(#|$$)' > $@

%/doxygen.css: doxygen.css defines.h
	@MACRO=`echo $@ | sed -e 's%\([^/]*\)/.*%\1%' | tr a-z A-Z`; \
	cat doxygen.css | gcc -D$$MACRO -E -c - | egrep -v '^(#|$$)' > $@

%/tutorial.css: tutorial.css defines.h
	@MACRO=`echo $@ | sed -e 's%\([^/]*\)/.*%\1%' | tr a-z A-Z`; \
	cat tutorial.css | gcc -D$$MACRO -E -c - | egrep -v '^(#|$$)' > $@

%/tag-cw.css: tag-cw.css defines.h
	@MACRO=`echo $@ | sed -e 's%\([^/]*\)/.*%\1%' | tr a-z A-Z`; \
	cat tag-cw.css | gcc -D$$MACRO -E -c - | egrep -v '^(#|$$)' > $@

test.html: test.m4 ../definitions.m4
	m4 -I.. test.m4 > test.html

maintainer-clean:
	for b in $(BROWSERS); do rm -f $$b/*.css; done

=== documentation/tutorial/Makefile ===
CXX=g++
SHELL=/bin/sh
top_srcdir=../..
top_builddir=../..

.SUFFIXES:
.PHONY: examples html

SOURCES5:=$(shell grep 'START CODE' tut5.in | cut -d \  -f4)
SOURCES7:=$(shell grep 'START CODE' tut7.in | cut -d \  -f4)
AOUT5:=$(shell grep 'START OUTPUT' tut5.in | cut -d \  -f4)
AOUT7:=$(shell grep 'START OUTPUT' tut7.in | cut -d \  -f4)

all: examples html

Makefile: $(top_builddir)/config.status $(top_srcdir)/documentation/tutorial/Makefile.in
	cd $(top_builddir) && CONFIG_FILES=documentation/tutorial/Makefile CONFIG_HEADERS= CONFIG_LINKS= $(SHELL) ./config.status

examples: $(SOURCES5) $(SOURCES7)
html: index.html faq.html intro.html tut1.html tut2.html tut3.html tut4.html tut5.html tut6.html tut7.html tut8.html

%.html: %.m4 ../definitions.m4
	m4 -D__TUTORIAL=1 -I.. $< > $@

tut5.m4: tut5.in $(AOUT5)
	awk -f moo.awk $< > $@
	@rm -f core.*

tut7.m4: tut7.in $(AOUT7)
	awk -f moo.awk $< > $@
	@rm -f core.*
	
$(SOURCES5): tut5.in
	$(MAKE) -s $@-cc

$(SOURCES7): tut7.in
	$(MAKE) -s $@-cc

%-cc:
	@IN=`echo $* | sed -e 's/examples\([57]\).*/tut\1.in/'`; \
	if grep "END CODE $*" $$IN >/dev/null; then \
	  grep -A1000 "START CODE $*" $$IN |\
	  grep -B1000 "END CODE $*" |\
	  egrep -v "(START|END) CODE $*" |\
	  sed -e 's/&lt;/</g' -e 's/&gt;/>/g' -e 's/&amp;/\&/g' -e 's/&quot;/"/g' -e 's/&sect;//g' \
	      -e 's/<SPAN.[^>]*>//g' -e 's/<\/SPAN>//g' > $*.tmp; \
	  if (test ! -f $* || ! cmp -s $* $*.tmp); then \
	    echo "Extracting $* from $$IN."; \
	    mv $*.tmp $*; \
	  else \
	    echo "$* wasn't changed."; \
	    rm $*.tmp; \
	  fi; \
	else \
	  echo "No line with \"END CODE $*\" in $$IN!"; \
	  exit 1; \
	fi

$(AOUT5): examples5/%-bin: examples5/%.cc examples5/debug.o examples5/debug.h examples5/sys.h examples5/sysinclude/libbooster/debug.h examples5/sysinclude/libturbo/debug.h ../../.libs/libcwd.so
	$(CXX) -g -pipe -DCWDEBUG -Iexamples5 -I- -Iexamples5/sysinclude -I../../include \
		$< examples5/debug.o -L../../.libs -Wl,-rpath,$(shell (cd ../../.libs; pwd)) -lcwd -o $@

examples5/debug.o: examples5/debug.cc examples5/debug.h examples5/sys.h examples5/sysinclude/libbooster/debug.h examples5/sysinclude/libturbo/debug.h ../../include/libcwd/sys.h
	$(CXX) -g -pipe -DCWDEBUG -Iexamples5 -Iexamples5/sysinclude -I../../include -c $< -o $@

$(AOUT7): examples7/%-bin: examples7/%.cc examples7/sys.h examples7/debug.h ../../.libs/libcwd.so
	$(CXX) -g -pipe -DCWDEBUG -Iexamples7 -I- -I../../include \
		$< -L../../.libs -Wl,-rpath,$(shell (cd ../../.libs; pwd)) -lcwd -o $@

## libcwd 0.99.42

=== documentation/Makefile ===
SHELL=/bin/sh
top_srcdir=../../libcwd
srcdir=../../libcwd/documentation
top_builddir=..

include doxygen.config
INPUT_FILES=$(shell for i in $(INPUT); do if test -f $(srcdir)/$$i; then echo $(srcdir)/$$i; else for j in $(FILE_PATTERNS); do ls $(srcdir)/$$i/$$j; done; fi done)
EXAMPLE_FILES=$(shell find $(srcdir)/doxygen-examples -mindepth 1 -maxdepth 1 -type f -print)

.PHONY: reference-manual external styles tutorial documentation_src

all: reference-manual tutorial documentation_src

Makefile: $(top_builddir)/config.status $(top_srcdir)/documentation/Makefile.in
	cd $(top_builddir) && CONFIG_FILES=documentation/Makefile CONFIG_HEADERS= CONFIG_LINKS= $(SHELL) ./config.status

doxygen.config: $(top_builddir)/config.status $(top_srcdir)/documentation/doxygen.config.in
	cd $(top_builddir) && CONFIG_FILES=documentation/doxygen.config CONFIG_HEADERS= CONFIG_LINKS= $(SHELL) ./config.status

documentation_src:
	if test "`readlink -f ../../libcwd/documentation`" != "`readlink -f .`"; then \
	  tar -C $(top_srcdir) -cf - documentation | tar -C $(top_builddir) -xf - ; \
	fi

reference-manual: styles external
	rm -rf reference-manual
	doxygen doxygen.config
	mv reference-manual/preparation.html reference-manual/preparation.tmp
	cat reference-manual/preparation.tmp | \
	  sed -e 's/href="debug_8h\.html">debug\.h/href="#preparation_step2">debug.h/' \
	      -e 's/"sys\.h"/"<a class="code" href="#preparation_step2">sys.h<\/a>"/' \
	  > reference-manual/preparation.html
	rm reference-manual/preparation.tmp
	for i in `grep -l '<h2>Modules</h2>' reference-manual/*.html`; do \
	  mv $$i $$i.tmp; \
	  cat $$i.tmp | \
	  sed -e 's%<h2>Modules</h2>%<h2>Related</h2>%' > $$i; \
	  rm $$i.tmp; \
	done

reference-manual-clean:
	rm -rf reference-manual

external: external/INSTALL external/sys.h external/debug.h external/debug.cc external/libcwdrc

external-clean:
	rm -f external/INSTALL external/sys.h external/debug.h external/debug.cc external/libcwdrc

external/INSTALL: $(top_srcdir)/INSTALL
	@mkdir -p external
	cp $(top_srcdir)/INSTALL external/INSTALL

external/sys.h: $(top_srcdir)/example-project/sys.h
	@mkdir -p external
	cp $(top_srcdir)/example-project/sys.h external/sys.h

external/debug.h: $(top_builddir)/example-project/debug.h
	@mkdir -p external
	cp $(top_builddir)/example-project/debug.h external/debug.h

$(top_builddir)/example-project/debug.h: $(top_srcdir)/example-project/debug.h.maintainer
	$(MAKE) -C $(top_builddir) example-project/debug.h

external/debug.cc: $(top_srcdir)/example-project/debug.cc
	@mkdir -p external
	cp $(top_srcdir)/example-project/debug.cc external/debug.cc

external/libcwdrc: $(top_srcdir)/libcwdrc
	@mkdir -p external
	cp $(top_srcdir)/libcwdrc external/libcwdrc

styles:
	$(MAKE) -C styles

tutorial:
	$(MAKE) -s -C tutorial

maintainer-clean: external-clean reference-manual-clean
	$(MAKE) -C styles maintainer-clean
	if test "`readlink -f ../../libcwd/documentation`" != "`readlink -f .`"; then \
	  rm -rf images scripts index.html; \
	fi
	cd tutorial; rm -f examples5/debug.* examples5/test* tutorial/core examples7/test* tut5.m4 tut7.m4 *.html

## libcwd 0.99.44

=== documentation/Makefile ===
--- 
+++ 
@@ -3,18 +3,25 @@
 srcdir=../../libcwd/documentation
 top_builddir=..
 
-include doxygen.config
-INPUT_FILES=$(shell for i in $(INPUT); do if test -f $(srcdir)/$$i; then echo $(srcdir)/$$i; else for j in $(FILE_PATTERNS); do ls $(srcdir)/$$i/$$j; done; fi done)
+include ../../libcwd/documentation/doxygen.config.in
+INPUT_FILES=$(shell for i in `echo $(INPUT) | \
+    sed -e 's%@top_srcdir\@%'$(top_srcdir)'%g' \
+        -e 's%@srcdir\@%'$(srcdir)'%g' \
+	-e 's%@top_builddir\@%'$(top_builddir)'%g'`; \
+    do if test -f "$$i"; then echo "$$i"; \
+       else set -o noglob; for j in $(FILE_PATTERNS); do set +o noglob; ls $$i/$$j 2> /dev/null; done; fi done)
 EXAMPLE_FILES=$(shell find $(srcdir)/doxygen-examples -mindepth 1 -maxdepth 1 -type f -print)
 
 .PHONY: reference-manual external styles tutorial documentation_src
 
 all: reference-manual tutorial documentation_src
 
-Makefile: $(top_builddir)/config.status $(top_srcdir)/documentation/Makefile.in
+Makefile: doxygen.config $(top_builddir)/config.status $(srcdir)/Makefile.in
+	@rm -f Makefile.in
 	cd $(top_builddir) && CONFIG_FILES=documentation/Makefile CONFIG_HEADERS= CONFIG_LINKS= $(SHELL) ./config.status
 
-doxygen.config: $(top_builddir)/config.status $(top_srcdir)/documentation/doxygen.config.in
+doxygen.config: $(top_builddir)/config.status $(srcdir)/doxygen.config.in
+	@rm -f doxygen.config.in
 	cd $(top_builddir) && CONFIG_FILES=documentation/doxygen.config CONFIG_HEADERS= CONFIG_LINKS= $(SHELL) ./config.status
 
 documentation_src:
@@ -54,12 +61,12 @@
 	@mkdir -p external
 	cp $(top_srcdir)/example-project/sys.h external/sys.h
 
-external/debug.h: $(top_builddir)/example-project/debug.h
+external/debug.h: $(top_srcdir)/example-project/debug.h
 	@mkdir -p external
-	cp $(top_builddir)/example-project/debug.h external/debug.h
+	cp $(top_srcdir)/example-project/debug.h external/debug.h
 
-$(top_builddir)/example-project/debug.h: $(top_srcdir)/example-project/debug.h.maintainer
-	$(MAKE) -C $(top_builddir) example-project/debug.h
+$(top_srcdir)/example-project/debug.h: $(top_srcdir)/example-project/debug.h.maintainer
+	$(MAKE) -C $(top_builddir) $(top_srcdir)/example-project/debug.h
 
 external/debug.cc: $(top_srcdir)/example-project/debug.cc
 	@mkdir -p external

## libcwd 1.0.4

=== documentation/Makefile ===
--- 
+++ 
@@ -66,7 +66,7 @@
 	cp $(top_srcdir)/example-project/debug.h external/debug.h
 
 $(top_srcdir)/example-project/debug.h: $(top_srcdir)/example-project/debug.h.maintainer
-	$(MAKE) -C $(top_builddir) $(top_srcdir)/example-project/debug.h
+	$(MAKE) -C $(top_builddir) example-project/debug.h
 
 external/debug.cc: $(top_srcdir)/example-project/debug.cc
 	@mkdir -p external

=== debian/changelog ===
libcwd (1.0.4-1.1ubuntu2) vivid; urgency=medium

  * Move dh_autotools-dev_updateconfig to proper location in configure.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 14 Dec 2014 03:22:24 -0500

libcwd (1.0.4-1.1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 14 Dec 2014 03:13:38 -0500

libcwd (1.0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move default arguments to first declarations.  Closes: #771876.

 -- Matt Kraai <kraai@debian.org>  Fri, 12 Dec 2014 20:47:49 -0800

libcwd (1.0.4-1ubuntu1) vivid; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 02 Dec 2014 22:03:18 -0500

libcwd (1.0.4-1) unstable; urgency=low

  * Upgrade to version 1.0.4.

 -- Carlo Wood <carlo@alinoe.com>  Mon, 14 Jun 2010 15:10:42 +0200

libcwd (1.0.3-1) unstable; urgency=low

  * Upgrade to version 1.0.3.

 -- Carlo Wood <carlo@alinoe.com>  Tue, 28 Jul 2009 18:46:51 +0200

libcwd (1.0.2-1) unstable; urgency=low

  * Bumped version number because of a microscopic change in the .orig tar
    ball, and a new one with the same version can't be uploaded to debian.

 -- Carlo Wood <carlo@alinoe.com>  Fri, 18 Apr 2008 05:02:54 +0200

libcwd (1.0.1-2) unstable; urgency=low

  * Make package autobuildable.

 -- Carlo Wood <carlo@alinoe.com>  Sun, 13 Apr 2008 21:22:00 +0200

libcwd (1.0.1-1) unstable; urgency=low

  * Overhauled the debian directory.
  * Upgrade to version 1.0.1. The versions 0.99.45, 0.99.46 and
    0.99.47 have not been released as debian package.

 -- Carlo Wood <carlo@alinoe.com>  Wed, 23 Jan 2008 02:55:30 +0100

libcwd (0.99.44-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Drop dangling reference to /usr/share/debconf/module in
    libcwd-dev.postinst, nothing in this package uses debconf.  Closes: #417327.

 -- Steve Langasek <vorlon@debian.org>  Wed, 04 Apr 2007 20:14:20 -0700

libcwd (0.99.44-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
    - Fixes build failure with g++ 4.0.  Closes: #340174.

 -- Matej Vela <vela@debian.org>  Mon,  5 Jun 2006 20:00:30 +0200

libcwd (0.99.40-2) unstable; urgency=low

  * Many thanks to madduck for allowing me to be the new maintainer of this
    package. madduck will continue to act as the co-maintainer.
  * madduck@debian.org:
      - added amd64 to the list of architectures for arch-any packages in in
        debian/control.

 -- Matt T Galvin <matt.t.galvin@gmail.com>  Fri,  3 Jun 2005 22:04:13 -0400

libcwd (0.99.40-1) unstable; urgency=low

  * New upstream release.
  * This new release adds support for gcc-4.0 (closes: Bug#308923).

 -- Matt T Galvin <matt.t.galvin@gmail.com>  Thu,  2 Jun 2005 11:36:58 -0400

libcwd (0.99.39-1) unstable; urgency=low

  * New upstream release.

 -- martin f. krafft <madduck@debian.org>  Mon, 11 Oct 2004 04:16:59 +0200

libcwd (0.99.38-2) unstable; urgency=low

  * Moved libcwd to non-free because of the QPL licence, which is deemed
    non-free. The author refuses to do anything about it, unfortunately.
    I will move it back to main when the situation improves
    (closes: Bug#258497, Bug#251983).

 -- martin f. krafft <madduck@debian.org>  Sat,  2 Oct 2004 21:41:29 +0200

libcwd (0.99.38-1) unstable; urgency=low

  * New upstream release.
  * Added dependency on binutils (>= 2.12.90.0.9) for debug libraries, as
    noted in dh_strip(1).
  * Added notice about the special handling of non-i386 architectures to
    README.architectures.
  * Removed hppa from list of supported architectures due to build errors.
  * Split libraries with debugging symbols to a separate package.
  * Replaced /usr/share/doc tree of -dev and -dbg packages with a symlink to
    the doc tree of libcwd0.

 -- martin f. krafft <madduck@debian.org>  Wed, 29 Sep 2004 16:04:03 +0200

libcwd (0.99.37-1) unstable; urgency=low

  * New upstream release.

 -- martin f. krafft <madduck@debian.org>  Fri, 16 Jul 2004 01:20:35 +0200

libcwd (0.99.35-2) unstable; urgency=low

  * Override lintian warning about .cvsignore in source.

 -- martin f. krafft <madduck@debian.org>  Wed, 23 Jun 2004 14:22:09 +0200

libcwd (0.99.35-1) unstable; urgency=low

  * New upstream release.
  * Removed debconf message and moved changenote to NEWS.Debian.
    closes: Bug#254446
  * Added example-project to libcwd-doc/examples.

 -- martin f. krafft <madduck@debian.org>  Wed, 23 Jun 2004 13:02:03 +0200

libcwd (0.99.34-1) unstable; urgency=low

  * New upstream release.

 -- martin f. krafft <madduck@debian.org>  Thu, 27 May 2004 22:24:33 +0200

libcwd (0.99.33-5) unstable; urgency=low

  * Documentation is now built in Build-Indep, not in Build-Arch.

 -- martin f. krafft <madduck@debian.org>  Sun, 23 May 2004 16:50:20 +0200

libcwd (0.99.33-4) unstable; urgency=low

  * Added --keep-debug option to dh_strip to place debugging symbols for the
    library into /usr/lib/debug. See README.debug_symbols for more
    information.
  * Pushed Standards-Version to 3.6.1

 -- martin f. krafft <madduck@debian.org>  Mon, 17 May 2004 12:46:45 +0200

libcwd (0.99.33-3) unstable; urgency=low

  * Fixed up the libcwd-dev.install file to not specify an absolute location
    for the .la file.
  * Added procps to Build-Depends. (closes: Bug#248220)

 -- martin f. krafft <madduck@debian.org>  Tue, 11 May 2004 21:33:29 +0200

libcwd (0.99.33-2) unstable; urgency=low

  * Changed architecture of -doc package from any to all. Sorry.

 -- martin f. krafft <madduck@debian.org>  Tue, 27 Apr 2004 02:37:51 +0200

libcwd (0.99.33-1) unstable; urgency=low

  * Initial Release. (closes: Bug#245547)

 -- martin f. krafft <madduck@debian.org>  Fri, 23 Apr 2004 19:29:27 +0200

=== debian/control ===
Source: libcwd
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Carlo Wood <carlo@alinoe.com>
Build-Depends: debhelper (>= 6), procps, autotools-dev
Standards-Version: 3.8.4
XS-Autobuild: yes
Section: non-free/libs

Package: libcwd
Section: non-free/libdevel
Architecture: any
Replaces: libcwd0, libcwd-dev
Conflicts: libcwd0, libcwd-dev
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libcwd-doc
Description: C++ Debugging Support Library
 Libcwd is a full-featured, professional, well-documented library
 to support C++ developers with debugging their applications.
 It includes support for ostream-based debug output, custom debug
 channels and devices, powerful memory allocation debugging,
 run-time sourcefile:linenumber information, and demangled type
 names of variables.

Package: libcwd-doc
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation of the libcwd C++ Debugging Support Library
 Libcwd is a full-featured, professional, well-documented library
 to support C++ developers with debugging their applications.
 It includes support for ostream-based debug output, custom debug
 channels and devices, powerful memory allocation debugging,
 run-time sourcefile:linenumber information, and demangled type
 names of variables.
 .
 This package contains documentation files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFIGOPTS=

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGOPTS="--disable-optimization"
endif

# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
version=`ls .libs/libcwd.so.* | \
    awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls .libs/libcwd.so.* | \
    awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	dh_autotools-dev_updateconfig
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(CONFIGOPTS)


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_autotools-dev_restoreconfig
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the libcwd package into debian/libcwd
	$(MAKE) DESTDIR="$(CURDIR)/debian/libcwd" install
	mkdir -p $(CURDIR)/debian/libcwd/usr/share/lintian/overrides
	echo "libcwd: package-name-doesnt-match-sonames" > $(CURDIR)/debian/libcwd/usr/share/lintian/overrides/libcwd
	echo "libcwd: non-dev-pkg-with-shlib-symlink" >> $(CURDIR)/debian/libcwd/usr/share/lintian/overrides/libcwd
	echo "libcwd: no-symbols-control-file" >> $(CURDIR)/debian/libcwd/usr/share/lintian/overrides/libcwd
	# Add here commands to install the libcwd-doc package into debian/libcwd-doc
	$(MAKE) DESTDIR="$(CURDIR)/debian/libcwd-doc" DOCDESTDIR="$(CURDIR)/debian/libcwd-doc/usr/share/doc/libcwd-doc" install-doc
	rm -f $(CURDIR)/debian/libcwd-doc/usr/share/doc/libcwd-doc/example-project/.files
	find $(CURDIR)/debian/libcwd-doc/usr/share/doc/libcwd-doc/documentation -maxdepth 1 -type f ! -name index.html | xargs rm -f
	find $(CURDIR)/debian/libcwd-doc/usr/share/doc/libcwd-doc/documentation/styles -type f ! -name '*.css' | xargs rm -f
	rm -rf $(CURDIR)/debian/libcwd-doc/usr/share/doc/libcwd-doc/documentation/doxygen-examples
	rm -rf $(CURDIR)/debian/libcwd-doc/usr/share/doc/libcwd-doc/documentation/www
	find $(CURDIR)/debian/libcwd-doc/usr/share/doc/libcwd-doc/documentation/tutorial -maxdepth 1 \
	    -type f -name '*.m4' -o -name '*.in' -o -name '*.awk' | xargs rm
	find $(CURDIR)/debian/libcwd-doc/usr/share/doc/libcwd-doc/documentation/reference-manual -name '*.map' -o -name '*.md5' | xargs rm -f

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_link
	dh_strip
	dh_compress -X.js -X.map -X.m4 -X.in -X.config -X.dox -XINSTALL -XREADME
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# No watch file is necessary, as I am the upstream maintainer as well
# and build the debian package straight from the 'upstream's harddisk.
